Bug 239441 - invalid number of arguments in urllib.py in python2.5
invalid number of arguments in urllib.py in python2.5
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 10:09 EDT by Maxim Dziumanenko
Modified: 2008-05-06 21:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2007-05-08 10:09:35 EDT
Description of problem:
In urllib.py function http_error_default has line:
 raise IOError, ('http error', errcode, errmsg, headers)
but in python2.5 such string gives following error:

  File "/usr/lib/python2.5/urllib.py", line 357, in http_error_default
    raise IOError, ('http error', errcode, errmsg, headers)
TypeError: EnvironmentError expected at most 3 arguments, got 4

Version-Release number of selected component (if applicable):
python-2.5

How reproducible:
Always

Steps to Reproduce:
1.Try to specify wrong relative FTP path in following command: 
 pxeos -a -i "FC6 i386 via HTTP" -p HTTP -D 0 -s serv -L 'pub/FC6' fc6-http
  
Actual results:

Traceback (most recent call last):
  File "/usr/sbin/pxeos", line 566, in <module>
    pxe.updatePXE()
  File "/usr/sbin/pxeos", line 267, in updatePXE
    self.__getRemoteFile("vmlinuz")
  File "/usr/sbin/pxeos", line 205, in __getRemoteFile
    infile = urlopener.open(f)
  File "/usr/lib/python2.5/urllib.py", line 190, in open
    return getattr(self, name)(url)
  File "/usr/lib/python2.5/urllib.py", line 334, in open_http
    return self.http_error(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.5/urllib.py", line 351, in http_error
    return self.http_error_default(url, fp, errcode, errmsg, headers)
  File "/usr/lib/python2.5/urllib.py", line 357, in http_error_default
    raise IOError, ('http error', errcode, errmsg, headers)
TypeError: EnvironmentError expected at most 3 arguments, got 4

Expected results:
Some human-readable error message, for example:
You must enter directory of the Operating System Software
This directory must include the images/pxeboot directories
[Errno http error] 404: 'Not Found'
Comment 1 Jeremy Katz 2007-05-14 12:00:31 EDT
This looks like it's fixed in python 2.5.1; it's a bit late to push for F7, but
I'm planning to push it as a very early post-F7 update
Comment 2 Bug Zapper 2008-04-03 20:36:13 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:42:35 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.